DBConfiguration (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib.db
Class DBConfiguration

    java.lang.Object
      org.apache.hadoop.mapreduce.lib.db.DBConfiguration
          org.apache.hadoop.mapred.lib.db.DBConfiguration

Deprecated. Use `DBConfiguration` instead

    @Deprecated
    public class DBConfiguration

extends DBConfiguration

Field Summary
`static String` | `DRIVER_CLASS_PROPERTY` Deprecated. The JDBC Driver class name
`static String` | `INPUT_CLASS_PROPERTY` Deprecated. Class name implementing DBWritable which will hold input tuples
`static String` | `INPUT_CONDITIONS_PROPERTY` Deprecated. WHERE clause in the input SELECT statement
`static String` | `INPUT_COUNT_QUERY` Deprecated. Input query to get the count of records
`static String` | `INPUT_FIELD_NAMES_PROPERTY` Deprecated. Field names in the Input table
`static String` | `INPUT_ORDER_BY_PROPERTY` Deprecated. ORDER BY clause in the input SELECT statement
`static String` | `INPUT_QUERY` Deprecated. Whole input query, exluding LIMIT...OFFSET
`static String` | `INPUT_TABLE_NAME_PROPERTY` Deprecated. Input table name
`static String` | `OUTPUT_FIELD_COUNT_PROPERTY` Deprecated. Number of fields in the Output table
`static String` | `OUTPUT_FIELD_NAMES_PROPERTY` Deprecated. Field names in the Output table
`static String` | `OUTPUT_TABLE_NAME_PROPERTY` Deprecated. Output table name
`static String` | `PASSWORD_PROPERTY` Deprecated. Password to access the database
`static String` | `URL_PROPERTY` Deprecated. JDBC Database access URL
`static String` | `USERNAME_PROPERTY` Deprecated. User name to access the database

Fields inherited from class org.apache.hadoop.mapreduce.lib.db.DBConfiguration
`INPUT_BOUNDING_QUERY`

Method Summary
`static void` | `configureDB(JobConf job, String driverClass, String dbUrl)` Deprecated. Sets the DB access related fields in the JobConf.
`static void` | `configureDB(JobConf job, String driverClass, String dbUrl, String userName, String passwd)` Deprecated. Sets the DB access related fields in the JobConf.

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBConfiguration
`configureDB, configureDB, getConf, getConnection, getInputBoundingQuery, getInputClass, getInputConditions, getInputCountQuery, getInputFieldNames, getInputOrderBy, getInputQuery, getInputTableName, getOutputFieldCount, getOutputFieldNames, getOutputTableName, setInputBoundingQuery, setInputClass, setInputConditions, setInputCountQuery, setInputFieldNames, setInputOrderBy, setInputQuery, setInputTableName, setOutputFieldCount, setOutputFieldNames, setOutputTableName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DRIVER_CLASS_PROPERTY

    public static final String DRIVER_CLASS_PROPERTY

  Deprecated.
  The JDBC Driver class name

  See Also:
    Constant Field Values

### URL_PROPERTY

    public static final String URL_PROPERTY

  Deprecated.
  JDBC Database access URL

  See Also:
    Constant Field Values

### USERNAME_PROPERTY

    public static final String USERNAME_PROPERTY

  Deprecated.
  User name to access the database

  See Also:
    Constant Field Values

### PASSWORD_PROPERTY

    public static final String PASSWORD_PROPERTY

  Deprecated.
  Password to access the database

  See Also:
    Constant Field Values

### INPUT_TABLE_NAME_PROPERTY

    public static final String INPUT_TABLE_NAME_PROPERTY

  Deprecated.
  Input table name

  See Also:
    Constant Field Values

### INPUT_FIELD_NAMES_PROPERTY

    public static final String INPUT_FIELD_NAMES_PROPERTY

  Deprecated.
  Field names in the Input table

  See Also:
    Constant Field Values

### INPUT_CONDITIONS_PROPERTY

    public static final String INPUT_CONDITIONS_PROPERTY

  Deprecated.
  WHERE clause in the input SELECT statement

  See Also:
    Constant Field Values

### INPUT_ORDER_BY_PROPERTY

    public static final String INPUT_ORDER_BY_PROPERTY

  Deprecated.
  ORDER BY clause in the input SELECT statement

  See Also:
    Constant Field Values

### INPUT_QUERY

    public static final String INPUT_QUERY

  Deprecated.
  Whole input query, exluding LIMIT...OFFSET

  See Also:
    Constant Field Values

### INPUT_COUNT_QUERY

    public static final String INPUT_COUNT_QUERY

  Deprecated.
  Input query to get the count of records

  See Also:
    Constant Field Values

### INPUT_CLASS_PROPERTY

    public static final String INPUT_CLASS_PROPERTY

  Deprecated.
  Class name implementing DBWritable which will hold input tuples

  See Also:
    Constant Field Values

### OUTPUT_TABLE_NAME_PROPERTY

    public static final String OUTPUT_TABLE_NAME_PROPERTY

  Deprecated.
  Output table name

  See Also:
    Constant Field Values

### OUTPUT_FIELD_NAMES_PROPERTY

    public static final String OUTPUT_FIELD_NAMES_PROPERTY

  Deprecated.
  Field names in the Output table

  See Also:
    Constant Field Values

### OUTPUT_FIELD_COUNT_PROPERTY

    public static final String OUTPUT_FIELD_COUNT_PROPERTY

  Deprecated.
  Number of fields in the Output table

  See Also:
    Constant Field Values

Method Detail

### configureDB

    public static void configureDB(JobConf job,
                                   String driverClass,
                                   String dbUrl,
                                   String userName,
                                   String passwd)

  Deprecated.
  Sets the DB access related fields in the JobConf.

  Parameters:
    `job` - the job
    `driverClass` - JDBC Driver class name
    `dbUrl` - JDBC DB access URL.
    `userName` - DB access username
    `passwd` - DB access passwd

### configureDB

    public static void configureDB(JobConf job,
                                   String driverClass,
                                   String dbUrl)

  Deprecated.
  Sets the DB access related fields in the JobConf.

  Parameters:
    `job` - the job
    `driverClass` - JDBC Driver class name
    `dbUrl` - JDBC DB access URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation